Bug 1310550 - [kde-l10n] Please add Supplements tag in specfile
[kde-l10n] Please add Supplements tag in specfile
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kde-l10n (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1314406
  Show dependency treegraph
 
Reported: 2016-02-22 03:29 EST by Parag Nemade
Modified: 2016-03-23 08:02 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-23 07:59:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add Supplements for langpacks namimg guidelines (28.47 KB, application/mbox)
2016-02-22 03:29 EST, Parag Nemade
no flags Details

  None (edit)
Description Parag Nemade 2016-02-22 03:29:16 EST
Created attachment 1129181 [details]
Add Supplements for langpacks namimg guidelines

Description of problem:
As per newly approved https://fedoraproject.org/wiki/PackagingDrafts/Langpack guidelines in https://fedorahosted.org/fpc/ticket/593#comment:18 , I would like to request to please commit the attached patch so that langpacks installation will be helpful.
Comment 1 Rex Dieter 2016-02-23 12:42:20 EST
I didn't realize Rich dependencies were sanctioned yet, I assume this is a f24+ only change?

Any objection to my conditionally wrapping things like:

%if 0%{?fedora} > 23
Supplements: (%{name} = %{version}-%{release} and langpacks-ar)
%endif

??
Comment 2 Rex Dieter 2016-02-23 15:10:22 EST
speaking with tibbs, we're pretty sure it should be safe for f23+ at least, and we're not going to be backporting this version of f22 (most likely), so should be safe as-is
Comment 3 Parag Nemade 2016-02-24 00:47:06 EST
Rex, Thanks for your help in committing required changes.
Comment 4 Rex Dieter 2016-03-23 07:58:30 EDT
Looking at this closer, I wonder why you want rich-deps here at all, why is this simpler:

Supplements: langpacks-foo

not sufficient?
Comment 5 Rex Dieter 2016-03-23 07:59:49 EDT
Ah, nevermind, we don't want this pulled in unconditionally, that's why.

That said, I think we could consider making the conditional on something better than kde-l10n... I'll think more on it.
Comment 6 Parag Nemade 2016-03-23 08:02:17 EDT
Thank you for understanding the use here for langpacks functionality. Like calligra-l10n, if needed conditionals can be added here as well.

Note You need to log in before you can comment on or make changes to this bug.